%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

Name: chmsee
Version: 1.2.0
Release: %mkrel 1
Summary: A Gtk+2 based CHM viewer
License: GPLv2+
URL: http://code.google.com/p/chmsee/
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://chmsee.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: libglade2.0-devel
BuildRequires:	xulrunner-devel
BuildRequires: openssl-devel
BuildRequires: libgcrypt-devel
BuildRequires: chmlib-devel
BuildRequires: intltool
BuildRequires: imagemagick
BuildRequires: cmake
Requires: libxulrunner

%description
ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
and use Gtk2+ as frontend toolkit. Because of using gecko as HTML
rendering engine, ChmSee can support rich features of modern HTML
page, such as CSS and JavaScript.

%prep
%setup -q

%build
%cmake 
%make

%install
rm -rf %buildroot
pushd build
%makeinstall_std
popd

mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -p -m 644 -D data/chmsee-icon.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/chmsee.png
convert data/chmsee-icon.png -resize 16x16 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/chmsee.png
convert data/chmsee-icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/chmsee.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-TextTools" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop



%find_lang %name

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/chmsee
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png
%_datadir/icons/hicolor/16x16/mimetypes/chm.png
%_datadir/icons/hicolor/32x32/mimetypes/chm.png
%_datadir/icons/hicolor/48x48/mimetypes/chm.png
%_datadir/icons/hicolor/scalable/mimetypes/chm.svg

%post
%update_menus
%update_icon_cache hicolor
%update_mime_database

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database


%changelog
* Mon Aug 30 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- 1.20

* Tue Jun 29 2010 Texstar <texstar at gmail.com> 1.1.0-2pclos2010
- rebuild for new xulrunner

* Wed May 19 2010 Texstar <texstar at gmail.com> 1.1.0-1pclos2010
- 1.1.0

* Sat Jan 30 2010 Texstar <texstar at gmail.com> 1.0.7-1pclos2010
- 1.0.7

